ServiceMix
  1. ServiceMix
  2. SM-2229

Upgrade to activiti version 5.15.1

    Details

    • Type: Task Task
    • Status: Closed
    • Priority: Minor Minor
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 5.0.1, 5.1.0, 6.0.0.M1, 6.0.0
    • Component/s: None
    • Labels:
      None
    1. SM-2229.patch.txt
      8 kB
      filippo balicchia

      Activity

      Hide
      Jean-Baptiste Onofré added a comment -

      I guess this Jira should be moved to SMX4 scope (instead of SM).

      Show
      Jean-Baptiste Onofré added a comment - I guess this Jira should be moved to SMX4 scope (instead of SM).
      Hide
      filippo balicchia added a comment - - edited

      During upgrading to activiti 5.14 I noticed that
      Activiti - Engine 5.14 as junit.framework requirement.

      Unsatisfied requirement(s):
      ---------------------------
         package:(&(package=org.junit.rules))
            Activiti - Engine
         package:(&(package=junit.framework))
            Activiti - Engine
         package:(&(package=org.junit.internal))
            Activiti - Engine
         package:(&(package=org.junit.runners.model))
            Activiti - Engine
         package:(&(package=org.junit.runner))
            Activiti - Engine
      

      For resolve this problem we can repackage the bundle
      but IMHO it would be better to upgrade 5.15 in this way it is possible to notify activiti community

      WDYT ?

      Ps
      Thanks Freeman Fang for joda-time bundle

      Show
      filippo balicchia added a comment - - edited During upgrading to activiti 5.14 I noticed that Activiti - Engine 5.14 as junit.framework requirement. Unsatisfied requirement(s): --------------------------- package:(&(package=org.junit.rules)) Activiti - Engine package:(&(package=junit.framework)) Activiti - Engine package:(&(package=org.junit.internal)) Activiti - Engine package:(&(package=org.junit.runners.model)) Activiti - Engine package:(&(package=org.junit.runner)) Activiti - Engine For resolve this problem we can repackage the bundle but IMHO it would be better to upgrade 5.15 in this way it is possible to notify activiti community WDYT ? Ps Thanks Freeman Fang for joda-time bundle
      Hide
      Gert Vanthienen added a comment - - edited

      FWIW, there already is a JIRA issue for this at the Activiti end, cfr. http://jira.codehaus.org/browse/ACT-1881, so it would probably just be a matter of contributing a fix for that JIRA issues.

      Looking at the Activiti release notes, there appear to be quite a few nice improvements/fixes since the 5.10 release we're using now, so perhaps it's worth a slight inconvenience at our end? Perhaps we can just add a bundle to provide these packages (either build a bundle or just a wrap:// url) so we can upgrade to Activiti 5.14 for the next release?

      Show
      Gert Vanthienen added a comment - - edited FWIW, there already is a JIRA issue for this at the Activiti end, cfr. http://jira.codehaus.org/browse/ACT-1881 , so it would probably just be a matter of contributing a fix for that JIRA issues. Looking at the Activiti release notes, there appear to be quite a few nice improvements/fixes since the 5.10 release we're using now, so perhaps it's worth a slight inconvenience at our end? Perhaps we can just add a bundle to provide these packages (either build a bundle or just a wrap:// url) so we can upgrade to Activiti 5.14 for the next release?
      Hide
      filippo balicchia added a comment -

      Hi,
      I have complete the feature upgrade
      but when I try install featues a get

      Error executing command: Duplicate import: org.activiti.osgi
      

      In activiti-engine
      This issue is already address with
      https://github.com/Activiti/Activiti/issues/156.

      other wa than the repackaging can not see.
      wdyt ?

      Show
      filippo balicchia added a comment - Hi, I have complete the feature upgrade but when I try install featues a get Error executing command: Duplicate import: org.activiti.osgi In activiti-engine This issue is already address with https://github.com/Activiti/Activiti/issues/156 . other wa than the repackaging can not see. wdyt ?
      Hide
      Gert Vanthienen added a comment -

      Repackaging the Activiti OSGi stuff would be the only viable workaround. However, I'm not sure it's really worth the effort - if it was just the junit dependency, that was just a minor thing to overcome, but for this thing, it might be better to just wait out for an Activiti 5.15 release instead?

      Show
      Gert Vanthienen added a comment - Repackaging the Activiti OSGi stuff would be the only viable workaround. However, I'm not sure it's really worth the effort - if it was just the junit dependency, that was just a minor thing to overcome, but for this thing, it might be better to just wait out for an Activiti 5.15 release instead?
      Hide
      filippo balicchia added a comment -

      Ok, i have tried with activi 5.15-SNAPSHOT and it works for me.
      Example seems works. but I'd like to check better

      I'll clean my patch and upload it

      Show
      filippo balicchia added a comment - Ok, i have tried with activi 5.15-SNAPSHOT and it works for me. Example seems works. but I'd like to check better I'll clean my patch and upload it
      Hide
      Gert Vanthienen added a comment -

      Reminder: Once we can upgrade to the 5.15 release, we can also remove the Alfresco repository from the root POM.

      Show
      Gert Vanthienen added a comment - Reminder: Once we can upgrade to the 5.15 release, we can also remove the Alfresco repository from the root POM.
      Hide
      Gert Vanthienen added a comment -

      Deferring to the Apache ServiceMix 5.0.1 release

      Show
      Gert Vanthienen added a comment - Deferring to the Apache ServiceMix 5.0.1 release
      Hide
      filippo balicchia added a comment -

      Friday, March 21, 2014 was released activiti 5.15 I' ll provide patch asap

      Show
      filippo balicchia added a comment - Friday, March 21, 2014 was released activiti 5.15 I' ll provide patch asap
      Hide
      filippo balicchia added a comment -

      Remove Alfresco repository reference

      Show
      filippo balicchia added a comment - Remove Alfresco repository reference
      Show
      Krzysztof Sobkowiak added a comment - fixed in 5.0.x - https://git-wip-us.apache.org/repos/asf?p=servicemix.git;a=commit;h=f9dd4365e8868120bc6095c5d4e6ef90f5c98f50 fixed in 5.1.x - https://git-wip-us.apache.org/repos/asf?p=servicemix.git;a=commit;h=2b5b4a648b6856641e1a844103bdcc5f699b2625 fixed in 6.0.x - https://git-wip-us.apache.org/repos/asf?p=servicemix.git;a=commitdiff;h=e7e375da4aa50ff109d9fba0d48648a171f5cb70 Thanks to Filippo for the patch!

        People

        • Assignee:
          Krzysztof Sobkowiak
          Reporter:
          filippo balicchia
        • Votes:
          0 Vote for this issue
          Watchers:
          4 Start watching this issue

          Dates

          • Created:
            Updated:
            Resolved:

            Development